### Method

# Gtk Pictureset_filename

#### Declaration [src]

    void
    gtk_picture_set_filename (
      GtkPicture* self,
      const char* filename
    )

#### Description [src]

Makes `self` load and display the given `filename`.

This is a utility function that calls `gtk_picture_set_file()`.

#### Parameters

`filename`

  Type: `const char*`

  The filename to play.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.